Project

Profile

Help

Task #6707

closed

[Epic] Move requirements out of setup.py

Added by fao89 over 2 years ago. Updated about 2 years ago.

Status:
CLOSED - COMPLETE
Priority:
Normal
Assignee:
-
Category:
-
Sprint/Milestone:
-
Start date:
Due date:
% Done:

100%

Estimated time:
(Total: 0:00 h)
Platform Release:
Groomed:
No
Sprint Candidate:
No
Tags:
Plugin Template
Sprint:
Quarter:

Description

While working on #6600 I realized using bump2version on a setup.py file could cause a change in requirements: https://github.com/pulp/pulp_file/pull/390#discussion_r423272806

Another benefit from moving it out, we can provide requirements with hashes: https://github.com/flask-extensions/Flask-GoogleMaps/blob/master/requirements.txt


Subtasks 5 (0 open5 closed)

File Support - Task #6708: Move requirements out of setup.pyCLOSED - CURRENTRELEASE

Actions
Task #6803: Pulpcore - Move requirements out of setup.pyCLOSED - COMPLETEfao89

Actions
RPM Support - Task #6839: Move requirements out of setup.pyCLOSED - CURRENTRELEASEfao89

Actions
Container Support - Task #6840: Move requirements out of setup.pyCLOSED - CURRENTRELEASE

Actions
Ansible Plugin - Task #6848: Move requirements out of setup.pyCLOSED - CURRENTRELEASE

Actions
Actions #1

Updated by bmbouter over 2 years ago

  • Tracker changed from Issue to Task
  • % Done set to 0
  • Tags Plugin Template added
Actions #2

Updated by fao89 over 2 years ago

  • Subject changed from Move requirements out of setup.py to [Epic] Move requirements out of setup.py
Actions #3

Updated by dalley about 2 years ago

fao89 Is this done?

Actions #4

Updated by fao89 about 2 years ago

  • Status changed from NEW to CLOSED - COMPLETE

Also available in: Atom PDF